package cn.ibizlab.r7.runtime.org.client.base.feign;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;
import cn.ibizlab.r7.runtime.org.core.client.model.ILoginAccountPwd;
import cn.ibizlab.r7.runtime.org.client.base.model.LoginAccountPwdImpl;
import cn.ibizlab.r7.runtime.org.util.SearchContext;
/**
 * 实体[LoginAccountPwd] 服务对象接口
 */
public interface LoginAccountPwdFeignClient {

    @RequestMapping(method = RequestMethod.POST, value = "/baseapi/loginaccountpwds/{loginaccountpwdid}/checkkey")
    public LoginAccountPwdImpl checkKey(@PathVariable("loginaccountpwdid") String loginaccountpwdid,@RequestBody LoginAccountPwdImpl loginaccountpwd);


    @RequestMapping(method = RequestMethod.PUT, value = "/baseapi/loginaccountpwds/{loginaccountpwdid}")
    public LoginAccountPwdImpl update(@PathVariable("loginaccountpwdid") String loginaccountpwdid,@RequestBody LoginAccountPwdImpl loginaccountpwd);


    @RequestMapping(method = RequestMethod.DELETE, value = "/baseapi/loginaccountpwds/{loginaccountpwdid}")
    public Boolean remove(@PathVariable("loginaccountpwdid") String loginaccountpwdid);


    @RequestMapping(method = RequestMethod.GET, value = "/baseapi/loginaccountpwds/{loginaccountpwdid}")
    public LoginAccountPwdImpl get(@PathVariable("loginaccountpwdid") String loginaccountpwdid);


    @RequestMapping(method = RequestMethod.POST, value = "/baseapi/loginaccountpwds/{loginaccountpwdid}/save")
    public LoginAccountPwdImpl save(@PathVariable("loginaccountpwdid") String loginaccountpwdid,@RequestBody LoginAccountPwdImpl loginaccountpwd);


    @RequestMapping(method = RequestMethod.POST, value = "/baseapi/loginaccountpwds")
    public LoginAccountPwdImpl create(@RequestBody LoginAccountPwdImpl loginaccountpwd);


    @RequestMapping(method = RequestMethod.GET, value = "/baseapi/loginaccountpwds/{loginaccountpwdid}/getdraft")
    public LoginAccountPwdImpl getDraft(@PathVariable("loginaccountpwdid") String loginaccountpwdid,@RequestBody LoginAccountPwdImpl loginaccountpwd);


    @RequestMapping(method = RequestMethod.GET, value = "/baseapi/loginaccountpwds/fetchdefault")
    public Page<LoginAccountPwdImpl> fetchDefault(SearchContext context);



}
